Subject: RE: [RFC PATCH] net: ipv6: Make address flushing on ifdown optional

From: "Harout Hedeshian" <[email-masked]>
Date: Mon, 19 Jan 2015 09:12:21 -0700

> I would still prefer that we flush automatically generated addresses and only
> keep the static and permanent ones.
> 
> What do you think?
> 
> Bye,
> Hannes

If I may offer an opinion, I do feel that there are use cases where flushing the auto-generated addresses in ifdown would not be desirable.

We have one such use case where information regarding the state of the network beyond the interface is managed through sideband signaling. We know that the auto-generated address would still be valid on ifup because the router information is unchanged. In this case, ifup/down is solely being used as a way for user space to enable/disable all traffic on a particular netdevice for temporary periods.

That said, I'm not sure how useful this would be for the average user; I see no harm if it is configurable and the default behavior is unchanged. 

Thanks,
Harout